Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/mongodb: update to 3.2.10

From: Marc Vertes <mvertes_at_free.fr>
Date: Wed, 5 Oct 2016 09:50:03 +0000

Support for YAML, SASL and SSL is now enabled. Note this version
requires wiredtiger-2.8.1. Also the problem listed in #6187 does
not occur anymore with this version.
---
 testing/mongodb/APKBUILD | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/testing/mongodb/APKBUILD b/testing/mongodb/APKBUILD
index c5504ac..c4de4df 100644
--- a/testing/mongodb/APKBUILD
+++ b/testing/mongodb/APKBUILD
_at_@ -1,7 +1,7 @@
 # Maintainer: Filipp Andronov <filipp.andronov_at_gmail.com>
 # Contributor: Marc Vertes <marc.vertes_at_ugrid.net>
 pkgname=mongodb
-pkgver=3.2.7
+pkgver=3.2.10
 pkgrel=0
 pkgdesc='A high-performance, open source, schema-free document-oriented database'
 url='http://www.mongodb.org'
_at_@ -9,7 +9,7 @@ arch='x86_64'
 license='AGPL3'
 pkgusers="mongodb"
 depends=
-depends_dev="scons openssl-dev pcre-dev snappy-dev boost-dev asio-dev libpcap-dev wiredtiger-dev"
+depends_dev="scons openssl-dev pcre-dev snappy-dev boost-dev asio-dev libpcap-dev wiredtiger-dev cyrus-sasl-dev yaml-cpp-dev"
 makedepends="$depends_dev"
 install="$pkgname.pre-install"
 source="http://downloads.mongodb.org/src/mongodb-src-r${pkgver}.tar.gz
_at_@ -51,6 +51,9 @@ _buildopts="
 		--use-system-wiredtiger \
 		--use-system-snappy \
 		--use-system-zlib \
+		--use-system-yaml \
+		--use-sasl-client \
+		--ssl \
 	"
 
 prepare() {
-- 
2.10.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Oct 05 2016 - 09:50:03 GMT